package com.hzya.frame.report.reportManage.dao.impl;

import com.hzya.frame.report.reportManage.entity.JimuReportEntity;
import com.hzya.frame.report.reportManage.entity.ReportManageEntity;
import com.hzya.frame.report.reportManage.dao.IReportManageDao;
import com.hzya.frame.sysnew.user.entity.SysUserEntity;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * 报表管理表(ReportManage)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-21 15:04:12
 */
@Repository(value = "ReportManageDaoImpl")
public class ReportManageDaoImpl extends MybatisGenericDao<ReportManageEntity, String> implements IReportManageDao{

    @Override
    public List<ReportManageEntity> queryByLikeClassify(ReportManageEntity entity) {
        List<ReportManageEntity> o = super.query(getSqlIdPrifx() + "queryByLikeClassify", entity);
        return o;
    }

    @Override
    public List<JimuReportEntity> queryReportNotUse(JimuReportEntity entity) {
        List<JimuReportEntity> o = (List<JimuReportEntity>) super.selectList(getSqlIdPrifx() + "queryReportNotUse", entity);
        return o;
    }

    @Override
    public JimuReportEntity queryReportEntity(JimuReportEntity entity) {
        JimuReportEntity o = (JimuReportEntity) super.selectOne(getSqlIdPrifx() + "queryReportEntity", entity);
        return o;
    }
}

